#! /bin/bash
gcc -fomit-frame-pointer -g -Wdeclaration-after-statement -Wall -Wno-switch -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wno-pointer-sign -Wcast-qual -Wwrite-strings -O3 -fno-math-errno -I"/c/ffmpeg" -I"/c/ffmpeg" -I"/c/ffmpeg"/libavutil -I"/c/ffmpeg"/libavcodec -I"/c/ffmpeg"/libavformat -I"/c/ffmpeg"/libswscale -I"/c/ffmpeg"/libavdevice -I"/c/ffmpeg"/libavfilter -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE -DHAVE_AV_CONFIG_H -c -o ffmpeg.o ffmpeg.c
gcc -fomit-frame-pointer -g -Wdeclaration-after-statement -Wall -Wno-switch -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wno-pointer-sign -Wcast-qual -Wwrite-strings -O3 -fno-math-errno -I"/c/ffmpeg" -I"/c/ffmpeg" -I"/c/ffmpeg"/libavutil -I"/c/ffmpeg"/libavcodec -I"/c/ffmpeg"/libavformat -I"/c/ffmpeg"/libswscale -I"/c/ffmpeg"/libavdevice -I"/c/ffmpeg"/libavfilter -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE -DHAVE_AV_CONFIG_H -c -o cmdutils.o cmdutils.c
touch .libs
gcc -L"/c/ffmpeg"/libavdevice -L"/c/ffmpeg"/libavformat -L"/c/ffmpeg"/libavcodec -L"/c/ffmpeg"/libavutil -Wl,--warn-common -Wl,-rpath-link,"/c/ffmpeg"/libavcodec -Wl,-rpath-link,"/c/ffmpeg"/libavformat -Wl,-rpath-link,"/c/ffmpeg"/libavutil -Wl,-Bsymbolic -g -o ffmpeg_g.exe ffmpeg.o cmdutils.o -lavdevice -lavformat -lavcodec -lavutil -lm -lfaac -lmp3lame -lm -lws2_32 -lvfw32
cp -p ffmpeg_g.exe ffmpeg.exe
strip ffmpeg.exe
